Update Resident: Propertyware REST
https://api.propexo.com/v1/residents/propertyware_rest/:resident_id| Method | Interface |
|---|---|
| PUT /v1/contacts | Contacts |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the resident
Request
This endpoint expects an object.
- string
United StatesCanada - string
The first name associated with the resident
Possible values: <= 30 characters
The middle name associated with the resident
Possible values: <= 30 characters
The last name associated with the resident
Possible values: <= 30 characters
The primary email address associated with the resident
The secondary email address associated with the resident
The date of birth associated with the resident
The first address line associated with the resident
The second address line associated with the resident
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The country associated with the resident
Show 2 variants
Primary phone number associated with the resident
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the resident
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKNotes associated with the resident
Response
Successful response
- string
United StatesCanada - string
meta objectrequired
result objectrequired
The Propexo unique identifier for the resident
The first name associated with the resident
Possible values: <= 30 characters
The middle name associated with the resident
Possible values: <= 30 characters
The last name associated with the resident
Possible values: <= 30 characters
The primary email address associated with the resident
The secondary email address associated with the resident
The date of birth associated with the resident
The first address line associated with the resident
The second address line associated with the resident
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The country associated with the resident
Show 2 variants
Primary phone number associated with the resident
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the resident
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKNotes associated with the resident
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/propertyware_rest/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "United States",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"notes": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "United States",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"notes": "string"
}
}